### Method

# Cogl Renderer set_winsys_id

#### Declaration [src]

    void
    cogl_renderer_set_winsys_id (
      CoglRenderer* renderer,
      CoglWinsysID winsys_id
    )

#### Description [src]

This allows you to explicitly select a winsys backend to use instead of letting Cogl automatically select a backend.

if you select an unsupported backend then `cogl_renderer_connect()` will fail and report an error.

This may only be called on an un-connected `CoglRenderer`.

#### Parameters

`winsys_id`

  Type: `CoglWinsysID`

  An ID of the winsys you explicitly want to use.